#ifndef TOUCH_BTN_H_
#define TOUCH_BTN_H_
#include "hal_data.h"
#include "qe_touch_config.h"

#define NUM_BTNS 2
#define LONG_PRESS_THRESHOLD_MS 1000  // 长按时间，默认1s

typedef enum {
    TOUCH_NONE = 0,
    TOUCH_SHORT_PRESS,
    TOUCH_LONG_PRESS
} touchBtn_event_t;

void TouchBtn_Init(void);
void TouchBtn_Process(void);  // 轮询调用，可放主循环
touchBtn_event_t TouchBtn_GetEvent(uint8_t btn_id);  // 获取按键事件后，自动清除

#endif
